using System.Reflection;
using GraphicsManager;
using GraphicsManager.Objects.Core;
using Luski.net;
using Luski.net.Enums;

namespace Luski;

public class Globals
{
    public static Server Luski = null!;

    public static Texture LuskiTexture = new(Tools.GetResourceBytes(Assembly.GetExecutingAssembly(), "Luski.Resources.Textures.Luski.png"));
    
    public static string JT
    {
        get
        {
            string tmp = Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData), "JacobTech");
            if (OperatingSystem.IsLinux())
            {
                tmp = Path.Combine(Environment.GetEnvironmentVariable("HOME")!, ".config/");
                tmp += "JacobTech";
            }
            return tmp;
        }
    }

    public static Branch Branch
    {
        get
        {
            if (!File.Exists(Path.Combine(Environment.CurrentDirectory, "branch.txt"))) File.WriteAllText(Path.Combine(Environment.CurrentDirectory, "branch.txt"), ((int)Branch.Beta).ToString());
            return File.ReadAllText(Path.Combine(Environment.CurrentDirectory, "branch.txt")) switch
            {
                "0" => Branch.Dev,
                "1" => Branch.Beta,
                "2" => Branch.Master,
                _ => Branch.Beta
            };
        }
    }
}